{ config, pkgs, lib, ... }:

{

systemd.services.Sovran_SystemsOS_Light_Updater = {
	  
	  script = ''
	   
	   flatpak update

	   cd /etc/nixos && nix flake update && nixos-rebuild switch   
	   
	  '';

	  unitConfig = {
	  	Type = "simple";
	  };
	   
	  serviceConfig = {
	    RemainAfterExit = "no";
	    Type = "oneshot";
	  };

	  wantedBy = [ "multi-user.target" ];
	
	};

}